OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000002OMNeT++IDE / result analysispublic2008-11-12 04:062008-12-01 19:47
Reporterhoral 
Assigned Totomi 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0b7 
Target VersionFixed in Version4.0rc1 
Summary0000002: invalid statistics data
DescriptionI don;t know if it is bug. When I finished my simulations I see problems with my statistics data.

Wrong file: invalid statistics data, file ...General-0.vci, line 69
TagsNo tags attached.
Attached Files? file icon General-0.vci [^] (16,915 bytes) 2008-11-12 04:06

- Relationships

-  Notes
(0000001)
tomi (developer)
2008-11-14 01:20

I could not reproduce this bug by reading the file with a new scavetool command.

I suppose that the bug appears in the IDE, while the simulation is still running.
Does the error disappear after the simulation finished and you reopen the analysis file?

If not, then please attach the zipped .vec file too, so I can test it with the IDE.
(0000002)
horal (reporter)
2008-11-14 08:43

Yes, the bug appers in the IDE. But not while the simulation is still running, but after simulation finished. You can find relevant file here. http://upload.ttnz.cz/readfile.php?file=horal/tmp/General-0.vec.zip [^]
(0000003)
tomi (developer)
2008-11-17 02:50

The attached .vci file and the vector file at the url does not belong to each other. The attached index file belongs to a 3544110 bytes long vector file. Please attach the .vec and .vci files that was generated in the _same_ run. (And try to keep them small by stopping the simulation at the earliest point where the bug presents.)

BTW, I tried to load the vector file in the IDE. It rebuilt the index file and worked ok.
(0000004)
horal (reporter)
2008-11-18 14:16

Now I stopped simulation after 10 sec. Use finish button. Close omnet. I have one error in General-0.vci line 222. All files from results dir is here http://upload.ttnz.cz/readfile.php?file=horal/tmp/files.zip. [^] I made new .anf file add *.sca and *.vec files. When I try view data on 'Browse data' tab I can't see anything.

When I delete *.vci file and make .anf file again. I can see vectors(694) but value is n.a. How you rebuilt the index file?

But I can't see scalar results still. Are you able see some scalar results from file I send you?
(0000005)
horal (reporter)
2008-11-20 15:13

I try clean instalation if omnet++ 4.0b7 use aloha project and still have problems with invalid scalar file, invalid statistics data. Any idea?
(0000006)
tomi (developer)
2008-11-21 02:48

I can open the files with Omnet++ 4.0b7 without problems.
I tested on Ubuntu 7.4 and Windows XP SP2.

Which os dou you use? Do you have a possibility to try it out on another machine?

It seems that scalars are not written in that run, that is why you can't see any scalars in the IDE.
(0000007)
mbergner (reporter)
2008-11-24 04:24

I seem to have this problem too, once there are floating point values in the vectors. It appears, that there are problems reading those. Once I delete all lines with a dot in a number, the file is not corrupt, but then the lengths do not coincide.
(0000009)
andras (administrator)
2008-11-24 04:55

What locale language/locale is set in your Linux installation?
(0000011)
mbergner (reporter)
2008-11-24 05:13
edited on: 2008-11-24 05:13

I have everything that "locale" returns set to de_DE.UTF-8 and we normally use commas instead of dots as floating point divider, do you mean that could be the case?

(0000012)
andras (administrator)
2008-11-24 05:24

Possibly. Locale surely affects the operation of standard C functions like strtod() that we rely on. We explicitly set the process locale to "C" when the IDE starts up, but maybe it's ineffective or some other code resets it to the original.
(0000013)
andras (administrator)
2008-11-24 05:32
edited on: 2008-11-24 05:33

I've just found that the locale setting is thread-specific... This may be the key. (see http://www.manpagez.com/man/3/xlocale/ [^] )

(0000016)
horal (reporter)
2008-11-24 07:08

Hi, when I set locales to "C" everything works. I find out before, when I open anf file, close omnettpp and start it again. I am able see results. Thanks Andras for find problem.

- Issue History
Date Modified Username Field Change
2008-11-12 04:06 horal New Issue
2008-11-12 04:06 horal Status new => assigned
2008-11-12 04:06 horal Assigned To => tomi
2008-11-12 04:06 horal File Added: General-0.vci
2008-11-14 01:20 tomi Note Added: 0000001
2008-11-14 01:23 tomi Reproducibility have not tried => unable to reproduce
2008-11-14 08:43 horal Note Added: 0000002
2008-11-17 02:50 tomi Note Added: 0000003
2008-11-18 14:16 horal Note Added: 0000004
2008-11-20 15:13 horal Note Added: 0000005
2008-11-21 02:48 tomi Note Added: 0000006
2008-11-24 04:24 mbergner Note Added: 0000007
2008-11-24 04:55 andras Note Added: 0000009
2008-11-24 05:13 mbergner Note Added: 0000011
2008-11-24 05:13 mbergner Note Edited: 0000011
2008-11-24 05:24 andras Note Added: 0000012
2008-11-24 05:32 andras Note Added: 0000013
2008-11-24 05:33 andras Note Edited: 0000013
2008-11-24 07:08 horal Note Added: 0000016
2008-12-01 15:55 tomi Reproducibility unable to reproduce => always
2008-12-01 15:55 tomi Resolution open => fixed
2008-12-01 19:47 andras Status assigned => resolved
2008-12-01 19:47 andras Fixed in Version => 4.0rc1


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker